/**
 * create by robot 
 * date Fri Oct 11 16:00:02 CST 2019 
 */ 

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	queryMerchantIncome(pageIndex);
	//绑定hover操作
	$(document).on('mouseenter','.listOperaters',function(){
		$(this).children(".ops_itemDiv").show();
		var width=15;
		$(this).children('div').find('li').each(function(){
			//获取li宽度
			width+=$(this).width();
		});
		$(this).children('div').width(width);
	})
	$(document).on('mouseleave','.listOperaters',function(){
		$(this).children(".ops_itemDiv").hide();
	});

	//日历控件
	layui.use(['layer', 'laydate'], function() {
		var layer = layui.layer;
		laydate = layui.laydate;
		laydate.render({
		elem: '#date1' //指定元素
		});
		laydate.render({
			elem: '#date2' //指定元素
		});
	});

	//行选中事件
	$("#allCheck").find("span").click(function() {
		$(this).toggleClass('checked');
		if($(this).hasClass('checked')){
			//所有列选中
		  $(".checker").find("span").each(function () {
		         $(this).addClass("checked");
		    })
		}else{
			//所有列取消选中
			$(".checker").find("span").each(function () {
				 $(this).removeClass("checked");
		    })
		}
	});

	//单个选中
	$(document).on('click','.checkeBox span',function() {
		$(this).toggleClass('checked');
		//设置头部事件
		var length=$('.checkeBox span').length;
		var count=0;
		$(".checkeBox").find("span").each(function () {
	        if($(this).hasClass("checked")){
	        	count++;
	        }
	   })
		//全选
	   if(count==length){
		   $("#allCheck").find("span").addClass('checked');
	   }else{
		   $("#allCheck").find("span").removeClass('checked');
	   }
	})
	//左右div高度相等
	var left_content_height = $(".right-content").height();
	$(".left-content").height(left_content_height+35);
	var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//查询
function queryMerchantIncome(index){
	if(typeof(index)=='undefined'){
		index=1;
	}
	var url=ctx+'/merchantIncome/queryMerchantIncomeByPage';
	$.ajax({  
        url:url,  
        type:"post", 
        dataType:"json",  
        data:{  
        	"currPage":index,
        	"id":$('#searchId').val()
        },  
        success:function(result){  
        	//渲染数据
        	$('#data_content').empty();
        	var header='';
        	$.each(result.merchantIncomeList,function(i){
        		var merchantIncome=result.merchantIncomeList[i];
        		var data='';
        		data+='<tr class="odd">';
        		data+='<td class="textc">';
				data+='		 <div class="checker checkeBox">';        		data+='		 <span class=""  data-id="'+merchantIncome.id+'"><input type="checkbox"  value=""></span>';
        		data+='		</div>';
        		data+='</td>';
        		data+='<td class="textc">'+merchantIncome.id+'</td>';
        		data+='<td class="textc">'+merchantIncome.userId+'</td>';
        		data+='<td class="textc">'+merchantIncome.merchantCode+'</td>';
        		data+='<td class="textc">'+merchantIncome.merchantName+'</td>';
        		data+='<td class="textc">'+merchantIncome.storeId+'</td>';
        		data+='<td class="textc">'+merchantIncome.storeName+'</td>';
        		data+='<td class="textc">'+merchantIncome.dealType+'</td>';
        		data+='<td class="textc">'+merchantIncome.dealFee+'</td>';
        		data+='<td class="textc">'+merchantIncome.incomeFee+'</td>';
        		data+='<td class="textc">'+merchantIncome.createTime+'</td>';
        		data+='<td class="textc">'+merchantIncome.payTypeCode+'</td>';
        		data+='<td class="textc">'+merchantIncome.payTypeName+'</td>';
        		data+='<td class="textc">'+merchantIncome.memberCode+'</td>';
        		data+='<td class="textc">'+merchantIncome.memberName+'</td>';
        		data+='<td class="textc">'+merchantIncome.memberPic+'</td>';
        		data+='<td class="textc">'+merchantIncome.incomeType+'</td>';
        		data+='<td class="textc">'+merchantIncome.plateformProfit+'</td>';
        		data+='<td class="textc">'+merchantIncome.promoterProfit+'</td>';
        		data+='<td class="textc">';
        		data+='<div class="positionr listOperaters">';
        		data+='		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="'+resourcePath+'/images/angle-down.png"/></a>';
        		data+='		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
        		data+='			<ul>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showMerchantIncomeDetails('+merchantIncome.id+')" class="btn btn-primary fa fa-edit ops_more f12">编辑</a></li>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="initDeleteMerchantIncome('+merchantIncome.id+')" class="btn btn-primary fa fa-remove ops_more f12">删除</a></li>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showMerchantIncomeDetails('+merchantIncome.id+')" class="btn btn-primary fa fa-detail ops_more f12">明细</a></li>';
        	    data+='			</ul>';
              data+='		</div>';
        	    data+='</div>';
        	    data+='</td>';
        	    data+='</tr>';
        	    $('#data_content').append(data);
        	});
        	//分页
        	$('#pageCount').html(result.pageCount);
      	$('#currPage').html(result.currPage);
          $('#totalCount').html(result.count);
           	//设置分页
           	pageIndex=result.currPage;
			$('#pagination').pagination({
				pageCount: result.pageCount,
				jump: true,
				coping: true,
				jump: true,
				homePage: '首页',
				endPage: '末页',
				prevContent: '上页',
				nextContent: '下页',
				current:result.currPage,
				callback:function(api){
					pageIndex=api.getCurrent();
					queryMerchantIncome(api.getCurrent());
				}
			});
        } 
    });  
	//表头列不选中
	$("#allCheck").find("span").removeClass('checked');
}

//初始化新增
function initAddMerchantIncome(){
	window.location=ctx+'/merchantIncome/queryMerchantIncomeDetails?pageIndex='+pageIndex;
}

//初始化修改
function showMerchantIncomeDetails(id){
	window.location=ctx+'/merchantIncome/queryMerchantIncomeDetails?id='+id+'&pageIndex='+pageIndex;
}

//初始化删除
function initDeleteMerchantIncome(id){
	
		layer.open({
		type: 1,
		closeBtn: 1,		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r'	, //按钮居中
		shade: 0.3 ,//不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteMerchantIncome(id,true);
		}
	});
}

//删除
function deleteMerchantIncome(id,showMsg){
	$.ajax({
		url:ctx+'/merchantIncome/deleteMerchantIncome',
		data:[{
			name:'id',
			value:id
		}],
		type:'POST',
		dataType:'json',
		success:function(){
			queryMerchantIncome(pageIndex);
			if(showMsg){
				layer.msg('删除成功!');	
			}
		}
	});
}
//头部编辑
function initEditMerchantIncome(){
	var count=0;
	var id=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
        	 id=$(this).data('id');
         }
    })
    if(count>1){
    	layer.msg('只能选中一行记录进行操作!');
    	return ;
    }
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	 if(id>0){
	  showMerchantIncomeDetails(id);
	 }
}
//头部删除
function initBatchDeleteMerchantIncome(){
	var count=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
         }
    })
	
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	

	layer.open({
		type: 1,
		closeBtn: 1,
		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r', //按钮居中
		shade: 0.3, //不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteBatchMerchantIncome();
		}
	});
	
}
//批量删除
function deleteBatchMerchantIncome(){
	
	$(".checkeBox").find("span").each(function () {
        if($(this).hasClass("checked")){
        	var id=$(this).data('id');
        	deleteMerchantIncome(id,false);
        	layer.msg('删除成功!');	
        }
   })
}

